/*
    SPDX-FileCopyrightText: 2013 David Edmundson <davidedmundson@kde.org>
    SPDX-FileCopyrightText: 2023 Boris Pek <bpek@astralinux.ru>

    SPDX-License-Identifier: GPL-2.0-or-later
*/

import QtQuick 2.6
import QtQuick.Layouts 1.11
import org.kde.kcm 1.2 as KCM
import org.kde.kirigamiaddons.labs.mobileform 0.1 as MobileForm

KCM.SimpleKCM {
    id: generalPage

    property alias cfg_showSecondHand: showSecondHandCheckBox.checked
    property alias cfg_showTimezoneString: showTimezoneCheckBox.checked

    ColumnLayout {
        Layout.fillWidth: true

        MobileForm.FormCard {
            Layout.fillWidth: true
            contentItem: ColumnLayout {
                MobileForm.FormSwitchDelegate {
                    id: showSecondHandCheckBox
                    text: i18n("Show seconds hand")
                }
                MobileForm.FormSwitchDelegate {
                    id: showTimezoneCheckBox
                    text: i18n("Show time zone")
                }
            }
        }
    }
}
