/*
    SPDX-FileCopyrightText: 2015 Martin Klapetek <mklapetek@kde.org>
    SPDX-FileCopyrightText: 2023 Boris Pek <bpek@astralinux.ru>

    SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
*/

import QtQuick 2.6
import QtQuick.Layouts 1.11
import org.kde.kcm 1.2 as KCM
import org.kde.kirigamiaddons.labs.mobileform 0.1 as MobileForm

KCM.SimpleKCM {
    id: generalPage

    property alias cfg_showWeekNumbers: showWeekNumbers.checked
    property string cfg_compactDisplay: "d"

    ColumnLayout {
        Layout.fillWidth: true

        MobileForm.FormCard {
            Layout.fillWidth: true
            contentItem: ColumnLayout {
                MobileForm.FormSwitchDelegate {
                    id: showWeekNumbers
                    text: i18n("Show week numbers")
                }
            }
        }
    }
}
